Update destination
PATCH
Change a destination’s settings or retire it. Does not touch the signing secret.
Access: workspace_admin · API key destinations:write
api-keyheader
AuthorizationBearer <sk_waylo_<lookup><secret><checksum>>id*stringapplication/json- body
name?stringLength
length <= 100url?stringLength
length <= 2048credentialId?|Format
uuidsendTestCalls?booleaninstructions?stringLength
length <= 2000active?booleanUpdated
application/json- response
id*stringFormat
uuidworkspaceId*stringFormat
uuidname*stringurl*stringcredentialId*|Format
uuidcredentialName*string|nullcredentialActive*boolean|nullsendTestCalls*booleaninstructions*stringactive*booleancreatedByUserId*|Format
uuidcreatedByUserName*string|nullupdatedByUserId*|Format
uuidupdatedByUserName*string|nullcreatedAt*stringFormat
date-timeupdatedAt*stringFormat
date-timecurl -X PATCH 'https://api.poc.app.waylovoice.ai/destinations/string' \ -H 'Authorization: Bearer sk_waylo_...' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c", "name": "string", "url": "string", "credentialId": "f568fec0-10b6-4b94-9daf-e62c50c9bf3e", "credentialName": "string", "credentialActive": true, "sendTestCalls": true, "instructions": "string", "active": true, "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620", "createdByUserName": "string", "updatedByUserId": "b38eaad7-8efa-49e7-b0aa-619916a3821e", "updatedByUserName": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}Rotate signing secret POST
Replace the signing secret. The new one is in the response and signs every delivery sent from now on. **Access:** workspace_admin · API key `destinations:write`
Delete a document DELETE
Remove the document, its chunks and its stored object. **Access:** workspace_admin · API key `documents:write`